# Hurricane Documentation

# Hurricane VLSI Database

List of all members | Public Member Functions
Hurricane::HyperNet Class Reference

HyperNet description (API) More...

## Public Member Functions

| HyperNet (const Occurrence &occurrence)
const Occurrence & | getNetOccurrence () const
Cell * | getCell () const
Occurrences | getNetOccurrences (bool doExtraction=false, bool allowInterruption=false) const
Occurrences | getNetOccurrencesUnder (Box area, bool doExtraction=false, bool allowInterruption=false) const

## Detailed Description

HyperNet description (API)

# Introduction

The HyperNet is a part of the trans-hierarchical mechanism. An HyperNet is build upon a Net Occurrence, this occurrence is the root of a tree of Net occurrences which represent the Net as if flattened. The walkthroughs are provided as Collections.

In all the walkthrough, if `doExtraction` is set, a simple layout extraction is performed. Of course, it makes the walkthrough much slower. By default it's disabled and the Net occurrence tree is created only from the Plug information.

Remarks
  The `allowInteruption` is deprecated and do nothing.

## Constructor & Destructor Documentation

## ◆ HyperNet()

Hurricane::HyperNet::HyperNet | ( | const Occurrence & | occurrence | ) |

Build an HyperNet from an Occurrence of Net, Rubber or Component. That is, any Entity from which a Net can be extracted.

## Member Function Documentation

## ◆ getNetOccurrence()

const Occurrence & Hurricane::HyperNet::getNetOccurrence | ( |  | ) | const

inline

The root Net Occurrence.

## ◆ getCell()

Cell * Hurricane::HyperNet::getCell | ( |  | ) | const

inline

The Cell that own the net occurrence (the top Cell).

References Hurricane::Occurrence::getOwnerCell().

## ◆ getNetOccurrences()

Occurrences Hurricane::HyperNet::getNetOccurrences | ( | bool | doExtraction = `false`,
|  | bool | allowInterruption = `false`
| ) |  | const

Parameters

  doExtraction | Perform a simple layout extraction.
  allowInterruption | Allows the extraction process to be interrupted.

Returns
  The collection of all the Net occurrences.

## ◆ getNetOccurrencesUnder()

Occurrences Hurricane::HyperNet::getNetOccurrencesUnder | ( | Box | area,
|  | bool | doExtraction = `false`,
|  | bool | allowInterruption = `false`
| ) |  | const

Parameters

  area | The area under which do the extraction.
  doExtraction | Perform a layout extraction.
  allowInterruption | Allows the extraction process to be interrupted.

Returns
  The collection of all the Net occurrences under `area`.

The documentation for this class was generated from the following files:

- HyperNet.h
- HyperNet.dox